aboutsummaryrefslogtreecommitdiffstats
path: root/community/nginx-naxsi/nginx.initd
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-18 20:46:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:24:04 +0200
commit5c9f3ca3e307be53b45beeed2ce1626f38008625 (patch)
tree919836fe454e953f46685adf8228b0401280d4b6 /community/nginx-naxsi/nginx.initd
parent6a00a953ba02bab6440a2c784e7db37c6eaeace1 (diff)
downloadaports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.gz
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.bz2
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.xz
testing/[various]: move to community
albatross-themes apk-post-messages autossh bitcoin btrbk entr ffmpegthumbnailer firejail firetools fwsnort gnome-colors imapsync inetutils-syslogd inotify-tools-inc isync junit ktsuss letsencrypt-nosudo libmbim libndp libqmi libteam mini-sendmail modemmanager namecoin networkmanager nginx-naxsi numix-themes nxapi opencl-headers opencl-icd-loader opus-tools perl-authen-ntlm perl-bit-vector perl-data-uniqid perl-file-copy-recursive perl-getopt-argvfile perl-io-tee perl-iptables-chainmgr perl-iptables-parse perl-module-scandeps perl-par-dist perl-par-packer perl-par perl-uri-escape psad py-crcmod py-graphviz py-lz4 py-opencl py-opengl-accelerate runit secpwgen secure-delete socklog spacefm tinyssh udevil virt-viewer virtualbricks whois wrk xpra zram-init
Diffstat (limited to 'community/nginx-naxsi/nginx.initd')
-rw-r--r--community/nginx-naxsi/nginx.initd42
1 files changed, 42 insertions, 0 deletions
diff --git a/community/nginx-naxsi/nginx.initd b/community/nginx-naxsi/nginx.initd
new file mode 100644
index 0000000000..bec20dddaa
--- /dev/null
+++ b/community/nginx-naxsi/nginx.initd
@@ -0,0 +1,42 @@
+#!/sbin/openrc-run
+
+extra_started_commands="reload"
+extra_commands="configtest"
+
+depend() {
+ need net
+ use dns logger netmount
+}
+
+CONFFILE=${CONFFILE:-/etc/nginx/${SVCNAME}.conf}
+PIDFILE=${PIDFILE:-/var/run/${SVCNAME}.pid}
+
+configtest() {
+ ebegin "Checking ${SVCNAME} configuration"
+ mkdir -p /tmp/nginx
+ /usr/sbin/nginx -c ${CONFFILE} -t
+ eend $? "failed, please correct errors above"
+}
+
+start() {
+ configtest || return 1
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --pidfile "${PIDFILE}" \
+ --exec /usr/sbin/nginx -- -c ${CONFFILE} -g "pid ${PIDFILE};"
+ eend $? "Failed to start ${SVCNAME}"
+}
+
+stop() {
+ configtest || return 1
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile "${PIDFILE}"
+ eend $? "Failed to stop ${SVCNAME}"
+ rm -f "${PIDFILE}"
+}
+
+reload() {
+ configtest || return 1
+ ebegin "Refreshing ${SVCNAME} configuration"
+ kill -HUP $(cat "${PIDFILE}") &>/dev/null
+ eend $? "Failed to reload nginx"
+}